Save This Page
Home » apache-tomcat-6.0.26-src » org.apache » catalina » manager » [javadoc | source]
org.apache.catalina.manager
public final class: HTMLManagerServlet [javadoc | source]
java.lang.Object
   javax.servlet.GenericServlet
      javax.servlet.http.HttpServlet
         org.apache.catalina.manager.ManagerServlet
            org.apache.catalina.manager.HTMLManagerServlet

All Implemented Interfaces:
    ContainerServlet, Serializable, Servlet, ServletConfig

Servlet that enables remote management of the web applications deployed within the same virtual host as this web application is. Normally, this functionality will be protected by a security constraint in the web application deployment descriptor. However, this requirement can be relaxed during testing.

The difference between the ManagerServlet and this Servlet is that this Servlet prints out a HTML interface which makes it easier to administrate.

However if you use a software that parses the output of ManagerServlet you won't be able to upgrade to this Servlet since the output are not in the same format ar from ManagerServlet

Field Summary
protected static final  URLEncoder URL_ENCODER     
protected static final  String APPLICATION_MESSAGE     
protected static final  String APPLICATION_ERROR     
protected  String sessionsListJspPath     
protected  String sessionDetailJspPath     
Fields inherited from org.apache.catalina.manager.ManagerServlet:
configBase,  context,  debug,  deployed,  versioned,  contextDescriptors,  host,  appBase,  mBeanServer,  oname,  global,  sm,  wrapper
Fields inherited from javax.servlet.http.HttpServlet:
class$javax$servlet$http$HttpServlet
Method from org.apache.catalina.manager.HTMLManagerServlet Summary:
deployInternal,   displaySessionDetailPage,   displaySessionsListPage,   doGet,   doPost,   doSessions,   expireSessions,   findleaks,   getComparator,   getServletInfo,   getSessionForPathAndId,   getSessionsForPath,   init,   invalidateSessions,   list,   reload,   removeSessionAttribute,   sessions,   sessions,   setSessionMaxInactiveInterval,   start,   stop,   undeploy
Methods from org.apache.catalina.manager.ManagerServlet:
addServiced,   check,   copy,   copyInternal,   deploy,   deploy,   deploy,   destroy,   doGet,   doPut,   expireSessions,   findleaks,   getAppBase,   getConfigFile,   getDocBase,   getWrapper,   init,   isDeployed,   isServiced,   list,   printResources,   reload,   removeServiced,   resources,   roles,   save,   serverinfo,   sessions,   sessions,   setWrapper,   start,   stop,   undeploy,   undeployDir,   uploadWar
Methods from javax.servlet.http.HttpServlet:
class$,   doDelete,   doGet,   doHead,   doOptions,   doPost,   doPut,   doTrace,   getLastModified,   service,   service
Methods from javax.servlet.GenericServlet:
destroy,   getInitParameter,   getInitParameterNames,   getServletConfig,   getServletContext,   getServletInfo,   getServletName,   init,   init,   log,   log,   service
Methods from java.lang.Object:
clone,   equals,   finalize,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.catalina.manager.HTMLManagerServlet Detail:
 protected String deployInternal(String config,
    String path,
    String war) 
    Deploy an application for the specified path from the specified web application archive.
 protected  void displaySessionDetailPage(HttpServletRequest req,
    HttpServletResponse resp,
    String path,
    String sessionId) throws ServletException, IOException 
 protected  void displaySessionsListPage(String path,
    HttpServletRequest req,
    HttpServletResponse resp) throws ServletException, IOException 
 public  void doGet(HttpServletRequest request,
    HttpServletResponse response) throws IOException, ServletException 
    Process a GET request for the specified resource.
 public  void doPost(HttpServletRequest request,
    HttpServletResponse response) throws IOException, ServletException 
    Process a POST request for the specified resource.
 protected  void doSessions(String path,
    HttpServletRequest req,
    HttpServletResponse resp) throws ServletException, IOException 
 protected String expireSessions(String path,
    HttpServletRequest req) 
    Extract the expiration request parameter
 protected String findleaks() 
    Find potential memory leaks caused by web application reload.
 protected Comparator getComparator(String sortBy) 
 public String getServletInfo() 
 protected Session getSessionForPathAndId(String path,
    String id) throws IOException 
 protected Session[] getSessionsForPath(String path) 
 public  void init() throws ServletException 
 public int invalidateSessions(String path,
    String[] sessionIds) throws IOException 
    Invalidate HttpSessions
 public  void list(HttpServletRequest request,
    HttpServletResponse response,
    String message) throws IOException 
    Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.
 protected String reload(String path) 
    Reload the web application at the specified context path.
 public boolean removeSessionAttribute(String path,
    String sessionId,
    String attributeName) throws IOException 
    Removes an attribute from an HttpSession
 public String sessions(String path) 
    Display session information and invoke list.
 public String sessions(String path,
    int idle) 
    Display session information and invoke list.
 public int setSessionMaxInactiveInterval(String path,
    String sessionId,
    int maxInactiveInterval) throws IOException 
    Sets the maximum inactive interval (session timeout) an HttpSession
 public String start(String path) 
    Start the web application at the specified context path.
 protected String stop(String path) 
    Stop the web application at the specified context path.
 protected String undeploy(String path) 
    Undeploy the web application at the specified context path.